Page MenuHomePhabricator

Add special page to show entity usage in client
Closed, ResolvedPublic

Description

We want to show editors where data of a given item from Wikidata is used on their project (eg Wikipedia).

Our plan: Create a Special Page that takes an item ID and returns a list of pages that use data from this item on this particular client. It could be something like en:Special:EntityUse/Q12345 This special page will also be used as a link target from the repository in order to show editors on Wikidata where the data of a given item is used. For that see T145189.

Sample:

Compare with

Event Timeline

Ladsgroup created this task.Sep 7 2016, 2:15 PM
Ladsgroup moved this task from Incoming to Later on the User-Ladsgroup board.Sep 11 2016, 10:50 AM
Lydia_Pintscher updated the task description. (Show Details)
Ladsgroup moved this task from Later to In progress on the User-Ladsgroup board.Sep 13 2016, 7:14 AM

Change 310580 had a related patch set uploaded (by Ladsgroup):
[WIP] Introduce Special:EntityUsage/Q#

https://gerrit.wikimedia.org/r/310580

Ladsgroup moved this task from Proposed to Review on the Wikidata-Sprint-2016-08-30 board.
Ladsgroup closed this task as Resolved.Sep 16 2016, 6:23 PM
Ladsgroup moved this task from In progress to Done on the User-Ladsgroup board.
Ladsgroup moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.

Change 310580 merged by jenkins-bot:
Introduce Special:EntityUsage/Q#

https://gerrit.wikimedia.org/r/310580

Esc3300 updated the task description. (Show Details)Sep 19 2016, 8:26 AM
Ladsgroup moved this task from proposed to done on the WMDE-TLA-Team board.Sep 19 2016, 1:47 PM

Change 311941 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not expect items in SpecialEntityUsage

https://gerrit.wikimedia.org/r/311941

Change 311941 merged by jenkins-bot:
Do not expect items in SpecialEntityUsage

https://gerrit.wikimedia.org/r/311941